godo.AgentPlatform.UpdateCustomModelMetadata()

Generated on 5 Nov 2026 from godo version v1.236.0

Usage

client.AgentPlatform.UpdateCustomModelMetadata(ctx context.Context, uuid string, updateRequest *godo.CustomModelMetadataUpdateRequest) (*godo.CustomModel, *godo.Response, error)

Description

UpdateCustomModelMetadata updates the metadata of an existing custom model.

This method sends a PATCH request to /v2/gen-ai/custom_models/{}/metadata.

Parameters

uuid string required
updateRequest *godo.CustomModelMetadataUpdateRequest required

Fields of godo.CustomModelMetadataUpdateRequest

CustomModelMetadataUpdateRequest is the request body for updating custom model metadata.

Name string

Omitted from JSON when empty. JSON key: name

Description string

Omitted from JSON when empty. JSON key: description

Tags *godo.CustomModelTags

Omitted from JSON when empty. JSON key: tags

InputModalities []string

Omitted from JSON when empty. JSON key: input_modalities

OutputModalities []string

Omitted from JSON when empty. JSON key: output_modalities

Parameters string

Omitted from JSON when empty. JSON key: parameters

License string

Omitted from JSON when empty. JSON key: license

Returns

*godo.CustomModel
*godo.Response

The HTTP response, with pagination Links, Meta, and Rate limit information.

error

Non-nil when the request fails. API errors are returned as *godo.ErrorResponse.

Fields of godo.CustomModel

CustomModel represents a user-imported model (from HuggingFace, Spaces, etc.).

Uuid string

Omitted from JSON when empty. JSON key: uuid

Name string

Omitted from JSON when empty. JSON key: name

Description string

Omitted from JSON when empty. JSON key: description

Status godo.CustomModelStatus

Omitted from JSON when empty. JSON key: status

Architecture string

Omitted from JSON when empty. JSON key: architecture

SourceType godo.CustomModelSourceType

Omitted from JSON when empty. JSON key: source_type

SourceRef *godo.CustomModelSourceRef

Omitted from JSON when empty. JSON key: source_ref

TotalSizeBytes string

Omitted from JSON when empty. JSON key: total_size_bytes

FileCount int

Omitted from JSON when empty. JSON key: file_count

License string

Omitted from JSON when empty. JSON key: license

Tags *godo.CustomModelTags

Omitted from JSON when empty. JSON key: tags

CreatedAt *godo.Timestamp

Omitted from JSON when empty. JSON key: created_at

UpdatedAt *godo.Timestamp

Omitted from JSON when empty. JSON key: updated_at

ActiveDeployments []*godo.CustomModelActiveDeployment

Omitted from JSON when empty. JSON key: active_deployments

ContextLength int

Omitted from JSON when empty. JSON key: context_length

CostEstimatePerMonth int

Omitted from JSON when empty. JSON key: cost_estimate_per_month

InputModalities []string

Omitted from JSON when empty. JSON key: input_modalities

OutputModalities []string

Omitted from JSON when empty. JSON key: output_modalities

Parameters string

Omitted from JSON when empty. JSON key: parameters

TeamId string

Omitted from JSON when empty. JSON key: team_id

ConfigJson map[string]any

Omitted from JSON when empty. JSON key: config_json

StorageRegion string

Omitted from JSON when empty. JSON key: storage_region

ErrorMessage string

Omitted from JSON when empty. JSON key: error_message

Request Sample

Show Request Sample
package main

import (
	"context"
	"fmt"
	"log"
	"os"

	"github.com/digitalocean/godo"
)

func main() {
	client := godo.NewFromToken(os.Getenv("DIGITALOCEAN_TOKEN"))
	ctx := context.TODO()

	result, _, err := client.AgentPlatform.UpdateCustomModelMetadata(ctx, "<your-uuid>", &godo.CustomModelMetadataUpdateRequest{})
	if err != nil {
		log.Fatal(err)
	}
	fmt.Printf("%+v\n", result)
}

More Information

See PATCH /v2/gen-ai/custom_models/{}/metadata in the API reference for additional detail on responses, headers, parameters, and more.

See the Go package documentation for the source of this method.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.